public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/rfc3987/
Date: Fri, 13 May 2016 14:18:31 +0000 (UTC)	[thread overview]
Message-ID: <1463149032.09721f2b31c77aed06ff96da4c1a6b32a1ea00df.aballier@gentoo> (raw)

commit:     09721f2b31c77aed06ff96da4c1a6b32a1ea00df
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri May 13 14:17:12 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri May 13 14:17:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09721f2b

dev-python/rfc3987: initial import; ebuild by me

Package-Manager: portage-2.2.28

 dev-python/rfc3987/Manifest             |  1 +
 dev-python/rfc3987/metadata.xml         | 16 ++++++++++++++++
 dev-python/rfc3987/rfc3987-1.3.5.ebuild | 27 +++++++++++++++++++++++++++
 3 files changed, 44 insertions(+)

diff --git a/dev-python/rfc3987/Manifest b/dev-python/rfc3987/Manifest
new file mode 100644
index 0000000..de435ba
--- /dev/null
+++ b/dev-python/rfc3987/Manifest
@@ -0,0 +1 @@
+DIST rfc3987-1.3.5.tar.gz 8509 SHA256 ed37b839553370971a1d5cd53392206206c56ea550d435ef45e6d94e7df50697 SHA512 66d74daa1653e9dfa0d8968229baa865935a8bf633504171ba9b208fddc936402184bce20828cbe90fec787a941faad0224675cd1db555cf614bfe83dca6b3f7 WHIRLPOOL 4a2b93e0c0437c835be38814ed1d8672530e19dc099bd0f0a340ba87ca55d2632239eb63cfc72586538ec813f37e79d13cae740a3a812110152833a9197b0db5

diff --git a/dev-python/rfc3987/metadata.xml b/dev-python/rfc3987/metadata.xml
new file mode 100644
index 0000000..1f3c7f9
--- /dev/null
+++ b/dev-python/rfc3987/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>aballier@gentoo.org</email>
+    <name>Alexis Ballier</name>
+    <description>Python team can take the package if they wish.</description>
+  </maintainer>
+  <maintainer type="project">
+    <email>python@gentoo.org</email>
+    <name>Python</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">rfc3987</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/rfc3987/rfc3987-1.3.5.ebuild b/dev-python/rfc3987/rfc3987-1.3.5.ebuild
new file mode 100644
index 0000000..894306e
--- /dev/null
+++ b/dev-python/rfc3987/rfc3987-1.3.5.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Parsing and validation of URIs (RFC 3986) and IRIs (RFC 3987)"
+HOMEPAGE="https://github.com/dgerber/rfc3987 http://pypi.python.org/pypi/rfc3987"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="dev-python/regex[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+python_test() {
+	${EPYTHON} -m doctest -v "${S}/${PN}.py" || die
+}


             reply	other threads:[~2016-05-13 14:18 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-13 14:18 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-12 16:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/rfc3987/ Michał Górny
2024-02-11  3:35 Michał Górny
2024-02-10  3:24 Sam James
2023-07-08 10:47 Benda XU
2023-05-26 15:14 Sam James
2023-03-16  4:07 Michał Górny
2022-05-11 14:32 Michał Górny
2022-02-27 18:52 Michał Górny
2022-01-18 22:44 Michał Górny
2022-01-18 22:44 Michał Górny
2021-11-18  5:36 Sam James
2021-06-04 15:24 Michał Górny
2021-03-18  8:44 Michał Górny
2020-08-02  9:33 Michał Górny
2020-06-09 19:46 Michał Górny
2020-03-29 11:27 Sergei Trofimovich
2020-03-29  7:31 Michał Górny
2020-03-29  7:31 Michał Górny
2020-03-29  7:31 Michał Górny
2020-03-25 14:52 Agostino Sarubbo
2020-03-25 13:27 Agostino Sarubbo
2020-03-25 12:36 Agostino Sarubbo
2020-03-25 12:23 Agostino Sarubbo
2019-11-23 22:39 Patrick McLean
2019-11-23 22:30 Patrick McLean
2019-01-07 19:37 Alexis Ballier
2018-12-08 17:41 Mikle Kolyada
2018-02-21 17:20 Michał Górny
2018-02-13 20:21 Matt Thode
2017-12-04  8:01 Sergei Trofimovich
2017-09-30  0:00 Matt Thode
2017-09-29 23:32 Matt Thode
2017-07-01 10:58 Sergei Trofimovich
2017-05-13  6:29 Markus Meier
2017-05-11 19:31 Markus Meier
2017-05-09  7:49 Tobias Klausmann
2017-05-06 11:22 Jeroen Roovers
2017-05-03 20:26 Zac Medico
2017-05-02 15:15 Michał Górny
2017-02-08 13:42 Manuel Rüger
2016-10-05 14:24 Alexis Ballier
2016-05-23 11:02 Alexis Ballier
2016-05-13 14:19 Alexis Ballier
2016-05-13 14:18 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1463149032.09721f2b31c77aed06ff96da4c1a6b32a1ea00df.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox